Subject: Re: [PATCH v2 bpf-next] xsk: use __xsk_rcv_zc_safe for ZC multi-buffer Rx processing

From: Jakub Kicinski <[email-masked]>
Date: Tue, 17 Mar 2026 18:29:20 -0700

On Tue, 17 Mar 2026 17:57:32 -0700 Alexei Starovoitov wrote:
> > > Do you guys need it in net-next in this merge window ?
> > >
> > > We have nothing in bpf-next/net so far, so should be fine
> > > to take this patch into net-next directly?  
> >
> > Somehow __xsk_rcv_zc_safe() landed in bpf-next/master f620af11c27b8ec9
> > So I think we have limited number of possible moves now :)  
> 
> I wasn't paying attention. We can revert it in bpf-next and reapply
> in net-next and probably route all future xsk patches to net/net-next ?
> since it doesn't have much to do with bpf anymore.

Maybe we should defer until the merge window and let it sit in Maciej's
local tree for now. It's a tiny optimization, Maciej can resend in the
next cycle.